@media (max-width: 1300px) {
  
    .hero-imgbg {
      background-size: cover;
    }
  
    .container-fluid {
      position: relative;
      z-index: 2; 
    }
  }
  
  .hero-content {
    position: relative;
    z-index: 2; 
}

/* Styling the floating button */
.menu-btn {
    z-index: 9999; /* Sigue siendo el más alto */
    cursor: pointer;
    transition: all 0.5s ease-out;
    background: transparent;
    border: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: auto;
}

/* Styling the hamburger lines */
.menu-btn .btn-line {
    width: 30px;
    height: 3px;
    margin: 2px 0;
    background: #66CD00;
    transition: all 0.5s ease-out;
}

/* Adding transform to the X */
.menu-btn.close {
    transform: rotate(180deg);
}

/* Styling the three lines to make it an X */
.menu-btn.close .btn-line:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-btn.close .btn-line:nth-child(2) {
    opacity: 0;
}

.menu-btn.close .btn-line:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
}

/* Styling the position of the menu */
.menu {
    position: fixed;
    top: 65px; /* Adjusted to be below the button */
    left: 0;
    width: 100%;
    background-color: rgb(0, 0, 0);
    opacity: 0;
    visibility: hidden;
    display: flex;
    flex-direction: column;
    padding: 10px 0;
    transition: opacity 0.5s ease-out, visibility 0.5s ease-out;
    z-index: 300; /* Aumentado para estar por debajo del botón pero por encima de la franja negra */
}

.menu.show {
    visibility: visible;
    opacity: 1;
}

.menu-nav {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 100%;
}

.menu-nav .nav-item {
    opacity: 0;
    transition: opacity 0.5s ease-out;
}

.menu.show .nav-item {
    opacity: 1;
}

.menu-nav .nav-link {
    display: block;
    padding: 15px 0px 15px;
    text-decoration: none;
    color: #FFF !important;
    text-align: center;
    width: 100%;
    border-bottom: 1px solid #dddddd1a;
    font-size: 1.25rem;
}

.menu-nav .nav-link:hover {
    color: #66CD00 !important;
}

@media (min-width: 992px) {
    .menu-btn, .menu {
        display: none !important;
    }
}

/* Styling the black bar and positioning the button */
.black-bar-container {
    position: absolute;
    top: 55px; /* Initial top position */
    left: 0;
    width: 100%;
    height: 65px; /* Same height as the position of the menu */
    background-color: black;
    z-index: 100; /* Just below the menu */
    display: flex;
    justify-content: space-between; /* Align items to the sides */
    align-items: center;
    padding-right: 20px;
    padding-left: 20px;
    box-sizing: border-box;
    /* transition: top 0.5s ease-out; */
}

/* New class to handle scroll position */
.scrolled .menu-btn {
    top: 0;
}

.scrolled .black-bar-container {
    position: fixed;
    top: 0!important;
}


@media (max-width: 992px) {
    .row.flex-nowrap.justify-content-between.align-items-center {
        display: none !important;
    }
}




